## lix 0.9.23

=== allegro-4.0.4_5.2.0/allegro/examples/Makefile ===
# To build a particular example, use `make ex_<name>`, e.g. `make ex_dir`
DC=dmd

EXAMPLES := $(basename $(wildcard ex_*.d))

all: $(EXAMPLES)

clean:
	$(RM) *.o
	$(RM) $(EXAMPLES)

ex_%: ex_%.d
	$(DC) ex_$*.d common.d -I.. -L-L..

=== debian/changelog ===
lix (0.9.23-1) unstable; urgency=medium

  * Initial release. (Closes: #617664)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 10 Dec 2018 09:59:28 +0100

## lix 0.9.24

=== debian/changelog ===
lix (0.9.24-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 04 Jan 2019 11:11:43 +0100

=== debian/control ===
Source: lix
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), libenet-dev, liballegro5-dev, dub, ldc, liballegro-acodec5-dev, liballegro-audio5-dev, liballegro-ttf5-dev, liballegro-image5-dev
Standards-Version: 4.2.1
Homepage: http://www.lixgame.com

Package: lix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lix-data
Description: Puzzle game inspired by Lemmings
 This is an action-puzzle game inspired by Lemmings (DMA Design, 1991), with
 singleplayer puzzles, networked multiplayer, and a level editor. Lix is
 written in the D programming language, uses Allegro 5 for graphics, sound,
 and input, and uses enet for networking.

Package: lix-data
Architecture: any
Depends: ${misc:Depends}
Description: Puzzle game inspired by Lemmings
 This is an action-puzzle game inspired by Lemmings (DMA Design, 1991), with
 singleplayer puzzles, networked multiplayer, and a level editor. Lix is
 written in the D programming language, uses Allegro 5 for graphics, sound,
 and input, and uses enet for networking.
 .
 This package contains the data files needed to play Lix.

## lix 0.9.29

=== debian/changelog ===
lix (0.9.29-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Peter Michael Green <plugwash@raspbian.org> ]
  * Add patch from upstream pull request to fix build with new libphobos
    (Closes: 961986)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 10 Jun 2020 13:11:32 +0200

lix (0.9.29-1) unstable; urgency=medium

  * New upstream version. (Closes: #941390)
  * Add Vcs fields.
  * Bump standards version to 4.4.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 10 Dec 2019 09:02:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: lix
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
 Build-Depends: debhelper (>= 11), libenet-dev, liballegro5-dev, dub, ldc, liballegro-acodec5-dev, liballegro-audio5-dev, liballegro-ttf5-dev, liballegro-image5-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/games-team/lix
+Vcs-Git: https://salsa.debian.org/games-team/lix.git
 Homepage: http://www.lixgame.com
 
 Package: lix

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export HOME=.

%:
	dh $@

override_dh_auto_configure:
	mkdir -p .dub/packages
	cp -r debian/links/* .dub/packages/

override_dh_auto_build:
	dub build -f -b releaseXDG --cache=local --compiler=ldc2
#	dub build -f -b releaseXDG --compiler=ldc2

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/SimonN/LixD/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
